#include <TFT_eSPI.h>
#include <SPI.h>
#include "Arduino.h"
#include "./Pic/picture/Picture.h"
#define BUZ_PIN 4
#define Sound_PIN 16

#define  G4 392
#define  A4 440
#define  B4 494
#define  C5 523
#define  D5 587
#define  E5 659
#define  F5 698
#define  G5 784

int Tone[] = { B4, B4, B4, B4, B4, B4,
               B4, D5, G4, A4, B4, C5,
               C5, C5, C5, C5, B4, B4, B4, D5,
               D5, C5, A4, G4, G5
             };
float Time[] = {0.25, 0.25, 0.5, 0.25, 0.25, 0.5,
                0.25, 0.25, 0.375, 0.125, 1, 0.25,
                0.25, 0.25, 0.25, 0.25, 0.25, 0.25, 0.25, 0.25,
                0.25, 0.25, 0.25, 0.5, 0.5
               };

int Tone_length = sizeof(Tone) / sizeof(Tone[0]);

TFT_eSPI tft = TFT_eSPI(); 
/**************Setup***********************/
void setup()
{
   
    tft.init();   
    tft.setSwapBytes(true);  
    tft.fillScreen(TFT_BLACK);
    tft.setRotation(3);
    ledcSetup(0,20000,10);
    ledcAttachPin(BUZ_PIN,0);
    pinMode(Sound_PIN,INPUT);
    
    tft.setSwapBytes(true);  
}

/*******************Loop*******************/

void loop()
{ 
    while (!(digitalRead(Sound_PIN) == 0));
    int j = 0;
    for (int i = 0; i < Tone_length; i++) {
    ledcWriteTone(0, Tone[i]);
    tft.pushImage(20, 20, 200, 200, Christmas[j]);
    j += 1;
    if(j > 2){
      j = 0;
     }
    delay(Time[i] * 500);
    tft.pushImage(20, 20, 200, 200, Christmas[j]);
    j += 1;
    if(j > 2){
      j = 0;
     }
    delay(Time[i] * 500);
    ledcWrite(0, 0);
  }
  delay(100);
  tft.fillScreen(TFT_BLACK);
  tft.pushImage(60, 55, 120, 130, dd);             
//      tft.pushImage(20, 20, 200, 200, Christmas[0]);
//      delay(100);
//      tft.pushImage(20, 20, 200, 200, Christmas[1]);
//      delay(100);
//      tft.pushImage(60, 55, 120, 130, Christmas[2]);
//      delay(100);
  
}
